Debian Bug report logs - #484928
gtk2hs: maintainer script problem

version graph

Package: gtk2hs; Maintainer for gtk2hs is (unknown);

Reported by: Stefan Potyra <sistpoty@ubuntu.com>

Date: Sat, 7 Jun 2008 12:09:01 UTC

Severity: normal

Found in version 0.9.12.1-1.1

Fixed in version gtk2hs/0.9.13-3

Done: Marco Túlio Gontijo e Silva <marcot@riseup.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Liyang HU <debian.org@liyang.hu>:
Bug#484928; Package gtk2hs. Full text and rfc822 format available.

Acknowledgement sent to Stefan Potyra <sistpoty@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Liyang HU <debian.org@liyang.hu>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Potyra <sistpoty@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gtk2hs: maintainer script problem
Date: Sat, 7 Jun 2008 14:08:04 +0200
[Message part 1 (text/plain, inline)]
Package: gtk2hs
Version: 0.9.12.1-1.1
Severity: normal

Hi,

thanks for maintaining gtk2hs.

I'm forwarding 
<https://bugs.launchpad.net/ubuntu/+source/gtk2hs/+bug/229489> to you.

While I'm still puzzled, why exactly this upgrade fails, I've found that
the postinst/prerm don't allow rollback/recovery, so the prerm of the
new version will fail when called instead of the old versions prerm.

Cheers,
   Stefan.

-- System Information:
Debian Release: lenny/sid
  APT prefers intrepid-updates
  APT policy: (500, 'intrepid-updates'), (500, 'intrepid-security'), 
(500, 'intrepid')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-16-generic (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash


[signature.asc (application/pgp-signature, inline)]

Reply sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
You have taken responsibility. (Mon, 13 Oct 2008 22:33:30 GMT) Full text and rfc822 format available.

Notification sent to Stefan Potyra <sistpoty@ubuntu.com>:
Bug acknowledged by developer. (Mon, 13 Oct 2008 22:33:30 GMT) Full text and rfc822 format available.

Message #10 received at 484928-close@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: 484928-close@bugs.debian.org
Subject: Bug#484928: fixed in gtk2hs 0.9.13-3
Date: Mon, 13 Oct 2008 21:47:12 +0000
Source: gtk2hs
Source-Version: 0.9.13-3

We believe that the bug you reported is fixed in the latest version of
gtk2hs, which is due to be installed in the Debian FTP archive:

gtk2hs-doc_0.9.13-3_all.deb
  to pool/main/g/gtk2hs/gtk2hs-doc_0.9.13-3_all.deb
gtk2hs_0.9.13-3.diff.gz
  to pool/main/g/gtk2hs/gtk2hs_0.9.13-3.diff.gz
gtk2hs_0.9.13-3.dsc
  to pool/main/g/gtk2hs/gtk2hs_0.9.13-3.dsc
libghc6-cairo-dev_0.9.13-3_i386.deb
  to pool/main/g/gtk2hs/libghc6-cairo-dev_0.9.13-3_i386.deb
libghc6-gconf-dev_0.9.13-3_i386.deb
  to pool/main/g/gtk2hs/libghc6-gconf-dev_0.9.13-3_i386.deb
libghc6-glade-dev_0.9.13-3_i386.deb
  to pool/main/g/gtk2hs/libghc6-glade-dev_0.9.13-3_i386.deb
libghc6-glib-dev_0.9.13-3_i386.deb
  to pool/main/g/gtk2hs/libghc6-glib-dev_0.9.13-3_i386.deb
libghc6-gnomevfs-dev_0.9.13-3_i386.deb
  to pool/main/g/gtk2hs/libghc6-gnomevfs-dev_0.9.13-3_i386.deb
libghc6-gstreamer-dev_0.9.13-3_i386.deb
  to pool/main/g/gtk2hs/libghc6-gstreamer-dev_0.9.13-3_i386.deb
libghc6-gtk-dev_0.9.13-3_i386.deb
  to pool/main/g/gtk2hs/libghc6-gtk-dev_0.9.13-3_i386.deb
libghc6-gtkglext-dev_0.9.13-3_i386.deb
  to pool/main/g/gtk2hs/libghc6-gtkglext-dev_0.9.13-3_i386.deb
libghc6-soegtk-dev_0.9.13-3_i386.deb
  to pool/main/g/gtk2hs/libghc6-soegtk-dev_0.9.13-3_i386.deb
libghc6-sourceview-dev_0.9.13-3_i386.deb
  to pool/main/g/gtk2hs/libghc6-sourceview-dev_0.9.13-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 484928@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco Túlio Gontijo e Silva <marcot@riseup.net> (supplier of updated gtk2hs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 03 Oct 2008 13:57:15 -0300
Source: gtk2hs
Binary: libghc6-glib-dev libghc6-cairo-dev libghc6-gconf-dev libghc6-gnomevfs-dev libghc6-gstreamer-dev libghc6-gtk-dev libghc6-glade-dev libghc6-gtkglext-dev libghc6-sourceview-dev libghc6-soegtk-dev gtk2hs-doc
Architecture: source all i386
Version: 0.9.13-3
Distribution: unstable
Urgency: low
Maintainer: Marco Túlio Gontijo e Silva <marcot@riseup.net>
Changed-By: Marco Túlio Gontijo e Silva <marcot@riseup.net>
Description: 
 gtk2hs-doc - A GUI library for Haskell (Gtk2Hs) -- documentation and examples
 libghc6-cairo-dev - A GUI library for Haskell (Gtk2Hs) -- Cairo bindings
 libghc6-gconf-dev - A GUI library for Haskell (Gtk2Hs) -- GConf bindings
 libghc6-glade-dev - A GUI library for Haskell (Gtk2Hs) -- libglade bindings
 libghc6-glib-dev - A GUI library for Haskell (Gtk2Hs) -- GLib bindings
 libghc6-gnomevfs-dev - A GUI library for Haskell (Gtk2Hs) -- GNOME VFS bindings
 libghc6-gstreamer-dev - A GUI library for Haskell (Gtk2Hs) -- GStreamer bindings
 libghc6-gtk-dev - A GUI library for Haskell (Gtk2Hs) -- GTK+ bindings
 libghc6-gtkglext-dev - A GUI library for Haskell (Gtk2Hs) -- gtkglext bindings
 libghc6-soegtk-dev - A GUI library for Haskell (Gtk2Hs) -- soegtk bindings
 libghc6-sourceview-dev - A GUI library for Haskell (Gtk2Hs) -- GtkSourceView bindings
Closes: 484928 501052
Changes: 
 gtk2hs (0.9.13-3) unstable; urgency=low
 .
   * debian/postinst, debian/prerm:
     - Use ghc-pkg6 instead of ghc-pkg.  Thanks to
       Stefan Potyra <sistpoty@ubuntu.com>.  (Closes: #501052)
     - Try to determine old upstream version. (Closes: #484928)
   * Use closer version to haskell-devscripts of dh_haskell_depends.
   * debian/control:
     - Adds Vcs-Darcs field.  Thanks to KiBi.
     - Removes Build-Depends on haskell-devscripts, and added on dctrl-tools.
   * debian/dh_haskell_depends: new parameter -P, asked for inclusion in
     haskell-devscripts in bug #502099.
   * debian/watch: Using sf.net directly.
Checksums-Sha1: 
 8537a6e82703cca0b6778a73d7bb0fa3ca910e2e 1850 gtk2hs_0.9.13-3.dsc
 9e392d04711a02cc555c1df937a518f181c8b775 10959 gtk2hs_0.9.13-3.diff.gz
 b2618f107ace682bdba137955b42f47c3202975a 1234860 gtk2hs-doc_0.9.13-3_all.deb
 4736dc36249265b317b88e323f740c498162998e 325014 libghc6-glib-dev_0.9.13-3_i386.deb
 eaf106894c1e5d3128f69bad38c9b4a57356d2b5 458474 libghc6-cairo-dev_0.9.13-3_i386.deb
 fd994fa7475f171db0447e16346cef5f63683503 183950 libghc6-gconf-dev_0.9.13-3_i386.deb
 a78cd45fdfe5605ed4b051aa8e208cf181031edc 631550 libghc6-gnomevfs-dev_0.9.13-3_i386.deb
 df0f2ffbee13ebe4d8a1a9dbd0e14dddf4b5fa8d 1237040 libghc6-gstreamer-dev_0.9.13-3_i386.deb
 185b94e0735588531b52cd8739ed6ea4a0559352 4239142 libghc6-gtk-dev_0.9.13-3_i386.deb
 bb408d35f6ba9bc69cd945bbad6f0dde8f45de50 102180 libghc6-glade-dev_0.9.13-3_i386.deb
 62ad6ce75fbe45524b63256e8f373e8c56015879 168142 libghc6-gtkglext-dev_0.9.13-3_i386.deb
 84a8dd9530b50893998f02517f2c7046a947b713 202216 libghc6-sourceview-dev_0.9.13-3_i386.deb
 fc0300a8cf038749e0d1aca21f7f623e958c8565 198936 libghc6-soegtk-dev_0.9.13-3_i386.deb
Checksums-Sha256: 
 a319d63e119d6fd0d597a96532650304b6cb8b294b3c9a5b890cad206a117e9a 1850 gtk2hs_0.9.13-3.dsc
 9ba7c92819355158b152049731d818308ed6f70200a4570f9f635911d71f0d6d 10959 gtk2hs_0.9.13-3.diff.gz
 b0c0506f14bd60159bd24e9ce93d782ae6ccdfff323baaaca581e4c7f14dfa55 1234860 gtk2hs-doc_0.9.13-3_all.deb
 bedf0025394c388147014ebb3ff07696b18f4bee147fadeab573069a854706df 325014 libghc6-glib-dev_0.9.13-3_i386.deb
 15234a9a2edceb9a65fcf899026f2ee3e2c50a94944c3b9c2b09e584ff50ff35 458474 libghc6-cairo-dev_0.9.13-3_i386.deb
 c93c2fb21a3c17e3361cb878ff5547ab2960461ef4f0433e21fc104d5ef44f73 183950 libghc6-gconf-dev_0.9.13-3_i386.deb
 aae87ce91b816f3e89c9142dfe666ccb7d4489a4166a1d1416a677f661aa4f7d 631550 libghc6-gnomevfs-dev_0.9.13-3_i386.deb
 fe6f9056f82acc56ca43782f639911c9bbe3c893e3b8c4f489c4b6b0b3a22f66 1237040 libghc6-gstreamer-dev_0.9.13-3_i386.deb
 01607a798a14309f8013d09155c4453cf82aa870f3d863de3717f6faa6ea3c60 4239142 libghc6-gtk-dev_0.9.13-3_i386.deb
 4493e43eab380686640b7e85c18231485c6a190e8f27acad7c20e14318e84945 102180 libghc6-glade-dev_0.9.13-3_i386.deb
 8dde5bab2a656ba095af63ffe770b51bbd3ccdc472a1983e97e3cbd27f133503 168142 libghc6-gtkglext-dev_0.9.13-3_i386.deb
 c6269b9b17b77e1f85d49c80a8d396ab5edd44047ee6c7c74f84d45acb20c642 202216 libghc6-sourceview-dev_0.9.13-3_i386.deb
 4a4155ca9634a887ba11c564f1cb124ca689971426f9b27331f203f5a412ccf1 198936 libghc6-soegtk-dev_0.9.13-3_i386.deb
Files: 
 c8689dc6c17029726bdb401b632c0c42 1850 libdevel optional gtk2hs_0.9.13-3.dsc
 b5c3d2625e544451c309f319917a3d02 10959 libdevel optional gtk2hs_0.9.13-3.diff.gz
 ab90d754b632a2ca11d0e9e1b4fc6045 1234860 doc optional gtk2hs-doc_0.9.13-3_all.deb
 38fdf81f3b3e00c3179cd7aeee752b01 325014 libdevel optional libghc6-glib-dev_0.9.13-3_i386.deb
 2485bfb7e8c57fd073650f68de71ef94 458474 libdevel optional libghc6-cairo-dev_0.9.13-3_i386.deb
 50e51816b27321933f730d40cc3b6416 183950 libdevel optional libghc6-gconf-dev_0.9.13-3_i386.deb
 9ae2ff4fb8fe605cc4b8e0a7e7672e76 631550 libdevel optional libghc6-gnomevfs-dev_0.9.13-3_i386.deb
 16d2cd48551dfd47b0f3150e4f385322 1237040 libdevel optional libghc6-gstreamer-dev_0.9.13-3_i386.deb
 0614784dba48bbab04536ec97718dc14 4239142 libdevel optional libghc6-gtk-dev_0.9.13-3_i386.deb
 699fee5756af95b01154b173f9737fe3 102180 libdevel optional libghc6-glade-dev_0.9.13-3_i386.deb
 2139745207d9203835b8c276b7297e04 168142 libdevel optional libghc6-gtkglext-dev_0.9.13-3_i386.deb
 2c70c0eafb4643b567b68b939236e3e2 202216 libdevel optional libghc6-sourceview-dev_0.9.13-3_i386.deb
 a4e9cd117b48eadee6c65da0eb8c2d54 198936 libdevel optional libghc6-soegtk-dev_0.9.13-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjztz0ACgkQ9ijrk0dDIGy+CACfY8ZIN690FnJLGH3gDBhf6gRC
ZJ8AnRR3xpj//ZMD68albzuakrQFWYbs
=z8/+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 12 Nov 2008 07:33:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 13:16:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.